package l17_swing;

import java.awt.*;
import java.awt.geom.AffineTransform;

public class Arrow {
	private final Polygon arrowHead = new Polygon();

	public Arrow(int size) {
		// create a triangle centered on (0,0) and pointing right
		arrowHead.addPoint(size, 0);
		arrowHead.addPoint(-size, -size);
		arrowHead.addPoint(-size, size);
	}

	public void drawArrowHead(Graphics2D g, double x0, double y0, double x1, double y1) {
		if (Math.abs(x1 - x0) < 1e-6 && Math.abs(y1 - y0) < 1e-6) return;
		final AffineTransform tx = AffineTransform.getTranslateInstance(x1, y1);
		tx.rotate(Math.atan2 (y1 - y0, x1 - x0));
		g.setStroke(new BasicStroke(2));
		g.drawLine((int)x0, (int)y0, (int)x1, (int)y1);
		g.fill(tx.createTransformedShape (arrowHead));
		g.setStroke(new BasicStroke(1));
	}
}

