package l17_swing;
// A border layout lays out a container, arranging and resizing its components to fit in five regions:
// north, south, east, west, and center. Each region may contain no more than one component,
// and is identified by a corresponding constant: NORTH, SOUTH, EAST, WEST, and CENTER.

// In addition, BorderLayout supports the relative positioning constants, PAGE_START, PAGE_END,
// LINE_START, and LINE_END. In a container whose ComponentOrientation is set to ComponentOrientation.
// LEFT_TO_RIGHT, these constants map to NORTH, SOUTH, WEST, and EAST, respectively.

// The components are laid out according to their preferred sizes and the constraints of the
// container's size. The NORTH and SOUTH components may be stretched horizontally; the EAST and WEST
// components may be stretched vertically; the CENTER component may stretch both horizontally and
// vertically to fill any space left over.

import javax.swing.*;
import java.awt.*;

public class BorderLayoutDemo extends JPanel {
	public BorderLayoutDemo() {
		setLayout(new BorderLayout());
		applyComponentOrientation(ComponentOrientation.LEFT_TO_RIGHT);
//		applyComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);

		add(BorderLayout.LINE_START, new JButton("LINE_START"));
		add(BorderLayout.LINE_END, new JButton("LINE_END"));
		add(BorderLayout.CENTER, new JButton("CENTER"));
		add(BorderLayout.PAGE_START, new JButton("PAGE_START"));
		add(BorderLayout.PAGE_END, new JButton("PAGE_END"));
	}
	public static void main(String[] args) {
		SwingConsole.run(new BorderLayoutDemo(), 300, 250);
//		SwingConsole.run(new BorderLayoutDemo());
	}
}

