package l17_swing;

import javax.swing.*;
import java.awt.*;

public class ResponsiveButtonTest extends JPanel {

	private final JTextField jTextField = new JTextField(10);

	class ResponsiveButton extends JButton {
		public ResponsiveButton(String text) {
			super(text);
			// copy the button name to the text field
			addActionListener(e -> jTextField.setText(getText())); // set jTextField to button name
		}
	}

	public ResponsiveButtonTest() {
		final int noOfButtons = 5;
		setLayout(new FlowLayout());
		for (int i = 0; i < noOfButtons; i++) {
			add(new ResponsiveButton(STR."Button \{i}"));
		}
		jTextField.setHorizontalAlignment(JTextField.CENTER);
		add(jTextField);
	}

	public static void main(String[] args) {
//		one OR another - show the difference
		SwingConsole.run(new ResponsiveButtonTest());
//		SwingConsole.run(new ResponsiveButtonTest(), 220, 200);
	}
}

