package l17_swing;

import javax.swing.*;
import javax.swing.border.EmptyBorder;
import java.awt.*;

// A layout manager that allows multiple components to be laid out either vertically or horizontally.
// The components will not wrap so, for example, a vertical arrangement of components will stay
// vertically arranged when the frame is resized.
 
public class SwingBoxLayoutAxis extends JPanel {

	public SwingBoxLayoutAxis() {
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
//		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

		final int margin = 20;
		final int gap = 5;
		final int noButtons = 5;

		setBorder(new EmptyBorder(new Insets(margin, margin, margin, margin)));

		for (int i = 0; i < noButtons; i++) {
			add(new JButton(STR."Button \{i + 1}"));
			if (i != noButtons - 1) {
//				add(Box.createVerticalGlue());
//				add(Box.createHorizontalGlue());
				add(Box.createRigidArea(new Dimension(gap, gap)));
			}
		}
	}

	public static void main(String[] args) {
		SwingConsole.run(new SwingBoxLayoutAxis());
	}
}

