package l17_swing;

import javax.swing.*;

public class SwingConsole {

	private static boolean useScrollPane = false;

	private static JFrame getFrame(JPanel jPanel) {
		JFrame frame = new JFrame(jPanel.getClass().getSimpleName());
		if (useScrollPane) {
			frame.add(new JScrollPane(jPanel));
		} else {
			frame.add(jPanel);
		}
		return frame;
	}

	public static void setScrollPane(boolean useScrollPane) {
		SwingConsole.useScrollPane = useScrollPane;
	}

	private static void commonActions(final JFrame frame) {
		frame.setLocationRelativeTo(null); // locate new window at the center of the screen
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // exit app on closing the window
		frame.setVisible(true); // show the window
	}

	public static void run(final JPanel jPanel, final int width, final int height) {
		JFrame frame = getFrame(jPanel);
		SwingUtilities.invokeLater(() -> {
			frame.setSize(width, height); // create frame with given size
			commonActions(frame);
		});
	}

	public static void run(final JPanel jPanel) {
		JFrame frame = getFrame(jPanel);
		SwingUtilities.invokeLater(() -> {
			frame.pack(); // create frame as needed to place its components
			commonActions(frame);
		});
	}
}

